Not for FF3? Rated 4 out of 5 stars

Good extension. I used it with FF2, but when I tried to install it on FF3, came up incompatible. Wazzup?

This review is for a previous version of the add-on (1.3.8).